Patch Org Roles

Patch Org Roles
Edit roles.

Use this API instead:

  • /cloudapi/1.0.0/users

Access Policy

Role Access
Platform operator ✔️
Organization Owner ✔️
Organization Member
Service Account (Whitelisted Client)
Request
URI
PATCH
https://vcfa-10-162-161-9.vcfd.broadcom.net/csp/gateway/am/api/orgs/{orgId}/roles
COPY
Path Parameters
string
orgId
Required

orgId


Request Body
UsersRolesPatchRequest of type(s) application/json
Required

Show optional properties

{
    "userList": [
        {}
    ]
}
{
    "userList": [
        {
            "userName": "string",
            "orgRolesUpdateRequest": {
                "roleNamesToAdd": [
                    "string"
                ],
                "rolesToAdd": [
                    {
                        "id": "string",
                        "name": "string",
                        "membershipType": "string",
                        "expiresAt": "string"
                    }
                ],
                "roleNamesToRemove": [
                    "string"
                ],
                "rolesToRemove": [
                    {
                        "id": "string",
                        "name": "string",
                        "membershipType": "string",
                        "expiresAt": "string"
                    }
                ]
            }
        }
    ],
    "servicesRolesPatchRequest": {
        "serviceRolesPatchRequest": [
            {
                "serviceId": "string",
                "roleNamesToAdd": [
                    "string"
                ],
                "roleNamesToRemove": [
                    "string"
                ]
            }
        ]
    }
}
array of object
userList
Required

userList

object
servicesRolesPatchRequest
Optional

servicesRolesPatchRequest

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns UserRolePatchResponse of type(s) */*
{
    "successOrgRolesUsernames": [
        "string"
    ],
    "failedOrgRolesUsernames": [
        "string"
    ],
    "successServiceRolesUsernames": [
        "string"
    ],
    "failedServicesRolesUsernames": [
        "string"
    ]
}

400

Invalid request body.

Returns UserRolePatchResponse of type(s) */*
{
    "successOrgRolesUsernames": [
        "string"
    ],
    "failedOrgRolesUsernames": [
        "string"
    ],
    "successServiceRolesUsernames": [
        "string"
    ],
    "failedServicesRolesUsernames": [
        "string"
    ]
}

401

The user is not authorized to use the API.

Returns UserRolePatchResponse of type(s) */*
"UserRolePatchResponse Object"
array of string
successOrgRolesUsernames
Required

successOrgRolesUsernames

array of string
failedOrgRolesUsernames
Required

failedOrgRolesUsernames

array of string
successServiceRolesUsernames
Required

successServiceRolesUsernames

array of string
failedServicesRolesUsernames
Required

failedServicesRolesUsernames


Code Samples
COPY
                    curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"userList":["object"]}'